# Linesets(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``Linesets`(bpy_struct)

  Line sets for associating lines and style parameters

  `active`

    Active line set being displayed

    Type: | `FreestyleLineSet`, (readonly)

  `active_index`

    Index of active line set slot

    Type: | int in [0, inf], default 0

  `new`(name)

    Add a line set to scene render layer Freestyle settings

    Parameters: | name (string, (never None)) – New name for the line set (not unique)
    Returns: | Newly created line set
    Return type: | `FreestyleLineSet`

  `remove`(lineset)

    Remove a line set from scene render layer Freestyle settings

    Parameters: | lineset (`FreestyleLineSet`, (never None)) – Line set to remove

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`FreestyleSettings.linesets` |